libapache2-mod-chxj (0.14.2-1) unstable; urgency=low

  * Fixed Bug.
    - if you use MySQL5.5, use ENGINE=innodb
      thanks Mr.osanai!
    - Using a small tree-depth of 4.
      Because MagickQuantizeImage() was very slow.
      (Reported and Patched by hogenull. Thanks!)
    - Not need url_decode in jreserved_tag
      (Reported by Mr.Osanai thanks!)
  * Changed features.
    - Use Cookie if Softbank XHTML terminal.
      Because Softbank Cookie is very small size.
      (Requested by Mr.Osanai thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 14 Jul 2011 02:19:23 +0900

libapache2-mod-chxj (0.14.1-1) unstable; urgency=high

  * Fixed Bug
    - If the value attribute is empty, the value attribute is not
      output.
    - No adding cookie parameter if flagment only.
    - SEGV occurs in ImageMagick when mmap is used.
    - It is not possible to compile with RHEL4/CentOS4. see git log.
  * Added Features
    - for KANTAN LOGIN with Cookie

 -- Atsush Konno <konn@users.sourceforge.jp>  Mon, 04 Jul 2011 20:38:40 +0900

libapache2-mod-chxj (0.14.0-1) unstable; urgency=low

  * Added New Feature.
    - iPhone can be recognized.
    - "raw:" can be specified in jphone, iphone, and the part ezweb of the
emoji
  definition.
      ex) <string>raw:[OK]</string>
    - Added ChxjUseEmojiImage directive.
    - Added ChxjEmojiImageUrl directive.
    - "image" can be specified in iphone of the pictograph definition, jphone,
  and the part ezweb.
       When URL is set to ChxjEmojiImageUrl with On, ChxjUseEmojiImage.
       the emoji is converted int <img> tag with follow case:
       1) "Image" is specified by the pictograph definition.
       2) For iphone2
    - Added CSS converter for iphone
    - Added Google Analytiscs handler.

  * Fixed Bug
    - wrap-input-format --> wap-input-format
    - When CrLf is contained in the style tag, it is not read correctly.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 01 Apr 2011 01:59:02 +0900

libapache2-mod-chxj (0.13.2-1) unstable; urgency=low

  * Fixed Bug
    - segv if request_conf is not created.(from 0.12.39)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 25 Mar 2011 23:48:37 +0900

libapache2-mod-chxj (0.13.1-1) unstable; urgency=low

  * Internal improvement
    - Image converter
      + To use mmap as much as possible.
      + Changed to one time to expect it by two cash file reading in
        turn.
      + To delete it with htcacheclean, the extension in the cache file is
        changed to ". data".
      + When the image is converted, it changes to delete output_filter.
    - Model informational specific function
      + It changes to use the judgment result when judged once.
      + Fixed bug that ua parameter is not effective in image conversion
        processing
    - Optimization
      + It is changed that apply_convrules is uselessly called two or more
        times.
  * Fixed Bug.
    - The bug to which the dynamic image conversion is not done is changed if
      it has and [kan] is not divided and it is not assumed ChxjConvRule
      EngineOn though it is ChxjImageEngine On.
    - ''-DLIBICONV_PLUG'' is added to the compiler option.
    - Static link compulsion of libserf.
  * Added New Features.
    - Addition of EngineOn unnecessary version EmojiOnly mode

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue, 15 Mar 2011 19:20:17 +0900

libapache2-mod-chxj (0.13.0-1) unstable; urgency=low

  * Added Features.
    - CSS support by coltware _at_ gmail.com.
    - <output_encoding> in device_data.xml.
    - load device_data from tsv.
    - rewrite mode for image converter.

 -- konno <konno@users.sourceforge.jp>  Mon, 28 Feb 2011 19:12:24 +0900

libapache2-mod-chxj (0.12.37-1) unstable; urgency=low

  * Added Features.
    - Added X-Chxj-Version header.
    - Changed Image Compression Logic.
  * Changed Features.
    - Content-Type is not seen when there is Location header.
  * Fixed Bug.
    - Cookie is deleted though it is not CookieOn.
      (Reported by isssk. Thanks!)
    - Fixed url dencode bug.
    - received SIGSEGV when connection was refused within libserf-0.2.0.
      (Reported by kamiya. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 15 Jun 2009 09:48:10 +0900

libapache2-mod-chxj (0.12.36-1) unstable; urgency=low

  * Added Features.
    - Added CHXJ:RAW origianl tag. this is an abbreviation of <CHXJ:IF
      lang="all">.
    - Expansion of copyright protection function. for OLD SoftBank.
    - When JRConvOff is used, a part of QSConvOff is invalidated.
    - An extra access log was not given for temporary.
      (use env=!chxj-post-log)
  * Changed Features.
    - Changed the behavior of Z2hOn, and so on.
  * Fixed Bug.
    - When the port number has adhered to the Host header of the request,
      Cookie might not be loaded.
      (Reported by ippsio. Thanks!)
    - When StatusCode is 304, garbage in two bytes outputs it.
      (Reported by isssk. Thanks!)
    - the BMP image is not converted.
      (Reported by isssk. Thanks!)
    - Guid=ON doesn't work when the third argument of ChxjConvertRule is NONE.
      (Reported by isssk. Thanks!)
    - Even if ChxjImageCopyright is specified, copyright information is not
      added to PNG.
      (Reported by isssk. Thanks!)
    - The reservation parameter name of the QueryString inside of POST is
      converted though it is JRConvOff.
      (Reported by isssk. Thanks!)
    - In the image conversion processing, when the extension is not specified,
      bmp doesn't become an object.
      (Reported by isssk. Thanks!)
    - In the image conversion processing, when the extension is specified, the
      cache file is not made.
      (Reported by isssk. Thanks!)
    - Dependence definition leakage of OpenSSL.
    - The error log is output if there is no data that matches to the key when
      Cookie is loaded.
      (Reported by ippsio. Thanks!)
    - _ chxj_cc is doubly added when there is already _ chxj_cc in the
      Location header.
      (Reported by ippsio. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 11 Apr 2009 17:41:40 +0900

libapache2-mod-chxj (0.12.35-1) unstable; urgency=low

  * Fixed Bug.
    - When the HTTP response code is 304, garbage in two bytes is transmitted
      as Content.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15951
      (Reported by isssk. Thanks!)
    - In the SoftBank, ``guid=on'' in A tag is deleted.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15940
      (Reported by isssk. Thanks!)
    - The BMP image is not converted.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15934
      (Reported by isssk. Thanks!)
    - The setting by the htaccess context of the image transformation is not
      effective.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15935
      (Reported by isssk. Thanks!)
    - If the extension is not specified when the image conversion setting is
      done only in htaccess, it becomes 404.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15936
      (Reported by isssk. Thanks!)
    - The parameter name breaks when HANKAKU-KANA-DAKUTEN is specified for
      REQUEST parameter name.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15939
      (Reported by isssk. Thanks!)
    - When UA other than carrying are specified by the fifth argument of
      ChxjConvertRule, the conversion processing is not done.
      (Reported by ippsio. Thanks!)
    - When httpd has not linked with libssl and libcrypto, httpd cannot be
      started.
      (Reported by GLORIA (gloria_sf). Thansk!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun,  5 Apr 2009 18:16:51 +0900

libapache2-mod-chxj (0.12.34-1) unstable; urgency=low

      * Added New Features.
        - Added EnvInfoOnly Option for ChxjConvertRule directive.
        - Added ChxjAllowedCookieDomain directive.
          (Requested by ippsio. thanks!)
      * Fixed bug.
        http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15853
        (Reported by isssk. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed,  1 Apr 2009 01:28:25 +0900

libapache2-mod-chxj (0.12.33-1) unstable; urgency=low

  * Added new features.
    - Added CHXJ:IF converter to Emoji Only Mode.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu,  5 Mar 2009 22:47:59 +0900

libapache2-mod-chxj (0.12.32-1) unstable; urgency=low

  * Added new features.
    - Added EmojiOnly Option for ChxjConvertRule directive.
  * Fixed bug.
    - The conversion of QUERY_STRING in a tag is invalid.
    - The conversion of QUERY_STRING in form tag is invalid.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed,  4 Mar 2009 01:02:19 +0900

libapache2-mod-chxj (0.12.31-1) unstable; urgency=low

  * Added new features.
    - Added NoCacheOn Option.
    - Added JRConvOff Option.
    - Added QSConvOff Option.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 20 Dec 2008 01:34:32 +0900

libapache2-mod-chxj (0.12.30-1) unstable; urgency=low

  * Fixed bug.
    - telto: -> tel:
      (Reported by bayside. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 18 Dec 2008 02:38:48 +0900

libapache2-mod-chxj (0.12.29-1) unstable; urgency=low

  * Fixed bug.
    - option tag, value attribute is removed if it has void string.
      (Reported by bayside. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed, 17 Dec 2008 15:57:36 +0900

libapache2-mod-chxj (0.12.28-1) unstable; urgency=low

  * Fixed bug.
    - When the Cookie simulator is invalidated, GUID Parameter Converter does
      abnormal operation. [#14284]
  * Added new Features.
    - Added J-Reserved Parameter Converter.(merge from old-trunk)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue, 16 Dec 2008 09:52:26 +0900

libapache2-mod-chxj (0.12.27-1) unstable; urgency=low

  * Fixed bug.
    - Whenever POST is done, the response code becomes 200.
    - __chxj_nc parameter is applied to the link to an external site.
    - It doesn't correspond to Ip-based virtual host.

  * Added new features.
    - added GUID converter.


 -- Atsush Konno  <konn@users.sourceforge.jp>  Sat, 13 Dec 2008 16:49:11 +0900

libapache2-mod-chxj (0.12.26-1) unstable; urgency=low

  * Fixed bug.
    - The image becomes abnormal for animation GIF.
      (Reported by bayside. Thanks!)
  * Added Features.
    - Content-Type can be compulsorily rewritten by specifying the
      ``X-Chxj-Set-Content-Type'' header.
      (Requested by katsu2000x. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  8 Dec 2008 21:04:36 +0900

libapache2-mod-chxj (0.12.25-1) unstable; urgency=low

  * Fixed bug.
    - Zenkaku Hifun -> 0xb0
      (Requested by bayside. Thanks!)
  * Added new features.
    - Zenkaku Alphabet -> Hankaku Alphabet.(with Z2hAlphaOn or Z2hAlphaOff)
    - Zenkaku Number -> Hankaku Number. (with Z2hNumOn or Z2hNumOff)
    - Z2hAllOn (Z2hOn And Z2hAlphaOn And Z2hNumOn)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  8 Dec 2008 01:14:45 +0900

libapache2-mod-chxj (0.12.24-1) unstable; urgency=low

  * Fixed bug.
    - Convert 0x5c.
  * Changed Feature.
    - The conversion object of Z2h.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed,  3 Dec 2008 20:13:55 +0900

libapache2-mod-chxj (0.12.23-1) unstable; urgency=low

  * Added new feature.
    - convert Zenkakaku Kana into Hankaku Kana (with Z2hOn or Z2hOff).
      (Requested by bayside. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  1 Dec 2008 23:57:51 +0900

libapache2-mod-chxj (0.12.22-1) unstable; urgency=low

  * Fixed Bug.
    - The X-Chxj-WP-Height header cannot be taken[#14143].
    - The value of the X-Chxj-HtmlSpecTyp header is abnormal[#14145].
  * Added Sample Device Data.
    - au W65K
    - au W62P
    - au W64S
    - SoftBank 830P
    - SoftBank 830SHs
    - SoftBank 830SH
    - au W64T
    - au W63Kカメラ無し
    - au W63SH
    - SoftBank 824T
    - DoCoMo SH706iw
    - au W62PT
    - DoCoMo N706iII
    - DoCoMo SH706ie
    - SoftBank 823T
    - DoCoMo N706ie
    - DoCoMo P706ie
    - DoCoMo NM706i
    - SoftBank 921P
    - DoCoMo F884iES
    - DoCoMo L706ie
    - au W64SA
    - SoftBank 824P
    - DoCoMo P706imyu
    - au W62CA
    - au W62H
    - au W62SH
    - DoCoMo SH706i

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 27 Nov 2008 22:47:30 +0900

libapache2-mod-chxj (0.12.21-1) unstable; urgency=low

  * Fixed Bug.
    - The parameter for the cookie is not applied at the ``A LINK'' to
      "mailto:" and "telto:".
   (Reported by bayside _at_ users.sourceforge.jp. thanks!)
  * Fixed Bug.
    - When you make a mistake in the setting of the character-code.
   (Reported by anyone. thanks!)
  * Added Sample Device Data.
    - SoftBank 824SH
    - SoftBank 923SH
    - au W63S
    - au W63SA
    - DoCoMo SO706i
    - SoftBank 820N
    - SoftBank 821N
    - SoftBank 825SH
    - DoCoMo N706i
    - SoftBank 823P
    - DoCoMo F706i
    - DoCoMo SH906iTV
    - au W63K
    - au W64K
    - DoCoMo N906iL
    - DoCoMo N906i
    - au W63T
    - au W62K
    - au W62T
    - SoftBank DM002SH
    - DoCoMo F906i
    - DoCoMo N906imyu
    - DoCoMo SH906i
    - DoCoMo SO906i
    - DoCoMo L852i
    - DoCoMo P906i
    - DoCoMo F883iS
    - au W61S
    - au W61SA
    - DoCoMo F883iESS
    - SoftBank 821SC
    - SoftBank 920SH YK
    - DoCoMo NM705i
    - au W61PT
   (Added by na_mako. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed, 26 Nov 2008 18:15:31 +0900

libapache2-mod-chxj (0.12.20-1) unstable; urgency=low

  * Changed encoding specification.
    - It replaces with '?' for the illegal character code and the processing
      continuation is done.(Added unknown charactor code)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 20 Nov 2008 19:35:05 +0900

libapache2-mod-chxj (0.12.19-1) unstable; urgency=low

  * Changed encoding specification.
    - It replaces with '?' for the illegal character code and the processing
      continuation is done.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 20 Nov 2008 10:06:57 +0900

libapache2-mod-chxj (0.12.18-1) unstable; urgency=low

  * Fixed Bug.
    - When the POST data of 64 bytes or less is sent, it is Segv.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri,  7 Nov 2008 10:05:30 +0900

libapache2-mod-chxj (0.12.17-1) unstable; urgency=low

  * Fixed bug.
    - Bug that session becomes invalid.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri,  7 Nov 2008 02:09:16 +0900

libapache2-mod-chxj (0.12.16-1) unstable; urgency=low

  * Added sample data of emoji.
    (Requested by bayside Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed,  5 Nov 2008 09:50:15 +0900

libapache2-mod-chxj (0.12.15-1) unstable; urgency=low

  * Bug Fix.
    - fails in the link of libserf.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 30 Oct 2008 00:29:29 +0900

libapache2-mod-chxj (0.12.14-1) unstable; urgency=low

  * Bug Fix.
    - When it is not possible to convert it from the host name in request URL
      into IP, it becomes an error.
      (Reported by bayside. Thanks!)
    - The mistake is found in `configure' and the compilation of libserf
      doesn't operate normally.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed, 29 Oct 2008 17:40:25 +0900

libapache2-mod-chxj (0.12.13-1) unstable; urgency=low

  * Bug Fix(merge from 0.11.15).
    - The screen might become pure-white. [13508]
    - Upgraded from 0.1.2 to 0.2.0. [13508]
    - The POST form to another site is illegal. [#13544]
      (Reported by anyone. Thanks!)
    - libserf link failure because of x86_64 environment[13507]
      (Reported by anyone. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 27 Sep 2008 00:06:08 +0900

libapache2-mod-chxj (0.12.12-1) unstable; urgency=low

  * Fixed Bug.
    - cookie cannot be acquired in model of old SoftBank.
   (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)
  * Fixed Bug & Added Features.
    - Query in the action attribute of the form tag cannot be acquired.
   (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 24 Jul 2008 16:02:02 +0900

libapache2-mod-chxj (0.12.11-1) unstable; urgency=low

  * Changed features.
    - After it had converted it by a former image,
      the priority of the image type was selected.
      (Requested by someone. thanks!)
  * Fixed Bug.
    - Dynamic image converter is not available.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue, 22 Jul 2008 12:52:13 +0900

libapache2-mod-chxj (0.12.10-1) unstable; urgency=low

  * Added Features.
    - For anchor's name for cookie simulator.
    (Requested by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 21 Jul 2008 15:11:53 +0900

libapache2-mod-chxj (0.12.9-1) unstable; urgency=low

  * Changed Specification.
    - When the size after it reduces becomes 0, it compels it to 1.
      (Reported by someone. thanks!)
  * Emergency measure
    - MagickQuantizeImage function doesn't return.
      (Reported by someone. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun, 20 Jul 2008 23:28:36 +0900

libapache2-mod-chxj (0.12.8-1) unstable; urgency=low

  * Added function.
    - The au terminal is handled as NO Cookie model. (For http -> https or https -> http exchange.)
      (Requested by someone. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun, 13 Jul 2008 15:20:39 +0900

libapache2-mod-chxj (0.12.7-1) unstable; urgency=low

  * Fixed bug.
    - It doesn't become a conversion target when setting as JXHTML.
     (Reported by someone. thanks!)

  * Added name attribute of form tag.
    (Requested by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 12 Jul 2008 02:11:04 +0900

libapache2-mod-chxj (0.12.6-1) unstable; urgency=low

  * Fixed bug.
    - cannot be redirected since 0.12.4
      (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu,  3 Jul 2008 22:06:28 +0900

libapache2-mod-chxj (0.12.5-1) unstable; urgency=low

  * Fixed bug.
    - The bug that was not able to be displayed correctly when a double quart
      was included in value.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 27 Jun 2008 16:37:26 +0900

libapache2-mod-chxj (0.12.4-1) unstable; urgency=low

  * Fixed Bug.
    - Because Input_filter of Apache is a fuck-shit, it abolishes it.
      Proxy is made at one's own expense by using libserf instead.
      (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 26 Jun 2008 10:32:44 +0900

libapache2-mod-chxj (0.12.3-1) unstable; urgency=low

  * Fixed bug.
    - changes line in place in which it doesn't intend it.
     (Reported by someone. thanks!)

 -- Atsushi Konno <konn@sourceforge.jp>  Sat, 21 Jun 2008 18:39:14 +0900

libapache2-mod-chxj (0.12.2-1) unstable; urgency=low

  * Fixed bug.
    - Failed reading cookie for SoftBank.
      (Reported by R.Komoriya. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun,  1 Jun 2008 02:11:33 +0900

libapache2-mod-chxj (0.12.1-1) unstable; urgency=low

  * Fixed bug.
    - Set-Cookie is not executed at CGI.
      (Reported by R.Komoriya. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 29 May 2008 03:11:16 +0900

libapache2-mod-chxj (0.12.0-1) unstable; urgency=low

  * Fixed bug.
    - '+' has not been converted into ' '.
    - A double quart and a single quart were able to be used for the attribute
      value.
    - When the request parameter name is Japanese, the parameter name is a bug
      that doesn't convert the character-code.
    - The bug that the result area has not been initialized while processing
      the cookie loading of the COOKIE MYSQL function
    - In the COOKIE MYSQL function, the connection to MYSQL was not
      occasionally closed.
  * Added Features.
    - Added alink attribute for body tag.
    - Added vlink attribute for body tag.
    - Added dir attribute for dir tag.
    - Added size attribute for font tag.
    - Added color attribute for hr tag.
    - Added bgcolor attribute for marquee tag.
    - Added type attribute for ul tag.
    - Added lang="jxhtml" attribute value for chxj:if tag.
  * Revoked apr_memcache and used libmemcached.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 10 May 2008 17:08:48 +0900

libapache2-mod-chxj (0.11.1-1) unstable; urgency=low

  * Fixed bug.
    - ``Off'' did not work by the ChxjImageEngine directive.
      (Reported by R. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 24 Apr 2008 19:54:14 +0900

libapache2-mod-chxj (0.11.0-1) unstable; urgency=low

  * Fixed bug.
    - chxj_encoding and chxj_rencoding invalid destlen.
    - <p>a</p> ==> <p></p>a convertion defect.
    - The line feed code is disregarded at <pre> tag. 

  * Added Features.
    - Added <blockquote> tag to CHTML1.0 converter.
    - Added <br> tag clear attribute to CHTML1.0 converter.
    - Added <dir> tag to CHTML1.0 converter.
    - Added <dl> tag to CHTML1.0 converter.
    - Added <dt> tag to CHTML1.0 converter.
    - Added <dd> tag to CHTML1.0 converter.
    - Added <menu> tag to CHTML1.0 converter.
    - Added <p align> attribute to CHTML1.0 converter.
    - Added <plaintext> tag to CHTML1.0 converter. (no parse mode)
    - Added <blockquote> tag to CHTML2.0 converter.
    - Added <dl> tag to CHTML2.0 converter.
    - Added <dt> tag to CHTML2.0 converter.
    - Added <dd> tag to CHTML2.0 converter.
    - Added <h1 align> attribute to CHTML2.0 converter.
    - Added <h2 align> attribute to CHTML2.0 converter.
    - Added <h3 align> attribute to CHTML2.0 converter.
    - Added <h4 align> attribute to CHTML2.0 converter.
    - Added <h5 align> attribute to CHTML2.0 converter.
    - Added <h6 align> attribute to CHTML2.0 converter.
    - Added <li type> attribute to CHTML2.0 converter.
    - Added <li value> attribute to CHTML2.0 converter.
    - Added <menu> tag to CHTML2.0 converter.
    - Added <ol type> attribute to CHTML2.0 converter.
    - Added <ol start> attribute to CHTML2.0 converter.
    - Added <p align> attribute to CHTML2.0 converter.
    - Added <textarea accesskey> attribute to CHTML2.0 converter.
    - Added <textarea istyle> attribute to CHTML2.0 converter.
    - Added <blink> tag to CHTML2.0 converter.
    - Added <marquee> tag to CHTML2.0 converter.
    - Added <plaintext> tag to CHTML2.0 converter. (no parse mode)
    - Added <blockquote> tag to CHTML3.0 converter.
    - Added <dir> tag to CHTML3.0 converter.
    - Added <dl> tag to CHTML3.0 converter.
    - Added <dt> tag to CHTML3.0 converter.
    - Added <dd> tag to CHTML3.0 converter.
    - Added <h1 align> attribute to CHTML3.0 converter.
    - Added <h2 align> attribute to CHTML3.0 converter.
    - Added <h3 align> attribute to CHTML3.0 converter.
    - Added <h4 align> attribute to CHTML3.0 converter.
    - Added <h5 align> attribute to CHTML3.0 converter.
    - Added <h6 align> attribute to CHTML3.0 converter.
    - Added <blink> tag to CHTML3.0 converter.
    - Added <marquee> tag to CHTML3.0 converter.
    - Added <ol type> attribute to CHTML3.0 converter.
    - Added <ol start> attribute to CHTML3.0 converter.
    - Added <p align> attribute to CHTML3.0 converter.
    - Added <textarea accesskey> attribute to CHTML3.0 converter.
    - Added <textarea istyle> attribute to CHTML3.0 converter.
    - Added <li type> attribute to CHTML3.0 converter.
    - Added <li value> attribute to CHTML3.0 converter.
    - Added <menu> tag to CHTML3.0 converter.
    - Added <plaintext> tag to CHTML3.0 converter. (no parse mode)
    - Added <blockquote> tag to au XHTML converter.
    - Added <dir> tag to au XHTML converter.
    - Added <dl> tag to au XHTML converter.
    - Added <dt> tag to au XHTML converter.
    - Added <dd> tag to au XHTML converter.
    - Added <h1 align> attribute to au XHTML converter.
    - Added <h2 align> attribute to au XHTML converter.
    - Added <h3 align> attribute to au XHTML converter.
    - Added <h4 align> attribute to au XHTML converter.
    - Added <h5 align> attribute to au XHTML converter.
    - Added <h6 align> attribute to au XHTML converter.
    - Added <hr align> attribute to au XHTML converter.
    - Added <hr size> attribute to au XHTML converter.
    - Added <hr width> attribute to au XHTML converter.
    - Added <li type> attribute to au XHTML converter.
    - Added <li value> attribute to au XHTML converter.
    - Added <menu> tag to au XHTML converter.
    - Added <ol type> attribute to au XHTML converter.
    - Added <ol start> attribute to au XHTML converter.
    - Added <plaintext> tag to au XHTML converter. (no parse mode)
    - Added <textarea accesskey> attribute to au XHTML converter.
    - Added <textarea istyle> attribute to au XHTML converter.
    - Added <plaintext> tag to au XHTML converter. (no parse mode)
    - Added <blockquote> tag to au HDML converter.
    - Added <dir> tag to au HDML converter.
    - Added <dl> tag to au HDML converter.
    - Added <dt> tag to au HDML converter.
    - Added <dd> tag to au HDML converter.
    - Added <h1 align> attribute for au HDML converter.
    - Added <h2 align> attribute for au HDML converter.
    - Added <h3 align> attribute for au HDML converter.
    - Added <h4 align> attribute for au HDML converter.
    - Added <h5 align> attribute for au HDML converter.
    - Added <h6 align> attribute for au HDML converter.
    - Added <menu> tag to au HDML converter.
    - Added <p align> attribute to au HDML converter.
    - Added <plaintext> tag to au HDML converter. (no parse mode)
    - Added <pre> tag to au HDML converter. 
    - Added <textarea> attribute to au HDML converter.
    - Added <blockquote> tag to SoftBank HTML converter.
    - Added <br clear> attribute to SoftBank HTML converter.
    - Added <dir> tag to SoftBank HTML converter.
    - Added <dl> tag to SoftBank HTML converter.
    - Added <dt> tag to SoftBank HTML converter.
    - Added <dd> tag to SoftBank HTML converter.
    - Added <h1 align> attribute for SoftBank HTML converter.
    - Added <h2 align> attribute for SoftBank HTML converter.
    - Added <h3 align> attribute for SoftBank HTML converter.
    - Added <h4 align> attribute for SoftBank HTML converter.
    - Added <h5 align> attribute for SoftBank HTML converter.
    - Added <h6 align> attribute for SoftBank HTML converter.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 19 Apr 2008 16:44:57 +0900

libapache2-mod-chxj (0.10.5-1) unstable; urgency=low

  * Fixed bug.
    - the value of the script tag is displayed.
    - the value of the object tag is displayed.

 -- Atsushi Konno <konn@users.sourceforege.jp>  Fri, 18 Apr 2008 22:25:55 +0900

libapache2-mod-chxj (0.10.4-1) unstable; urgency=low

  * Fixed bug.
    - Disregarded the tag did not know.
    - The tag closing by itself

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 18 Apr 2008 03:13:27 +0900

libapache2-mod-chxj (0.10.3-1) unstable; urgency=low

  * Fixed bug.
      - Cookie ID is not given, except when Content-type is text/html and
        application/xhtml+xml.  (Reported by bayside. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 10 Apr 2008 23:30:52 +0900

libapache2-mod-chxj (0.10.2-1) unstable; urgency=low

  * Fixed bug.
    - cookie ID is not added when redirect.(reported by bayside)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue,  1 Apr 2008 23:47:26 +0900

libapache2-mod-chxj (0.10.1-1) unstable; urgency=low

  * Fixed bug.
    - forgot to do -1 in the string length specification part though sizeof was used with STRNCASEEQ.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue,  1 Apr 2008 19:08:27 +0900

libapache2-mod-chxj (0.10.0-1) unstable; urgency=low

  * Added Features.
    - Added cookie path validator.
    - Added cookie domain validator.
    - Added cookie expires validator.
    - Added cookie secure validator.
    - Added content-type ``application/xhtml+xml''
    - use Buffering.
    - Added Cookie Lazy ID mode.
    - Cookie simulator(delete experimental)
  * Fixed bug.
    - Parsing is abnormal of the comment tag.
    - Parsing is abnormal of the script tag.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 31 Mar 2008 17:58:05 +0900

libapache2-mod-chxj (0.9.0-1) unstable; urgency=low

  * Added Features
    - Cookie can have been recorded in MySQL.
    - Cookie can have been recorded in memcached.
  * Fixed Bug
    - When mpeg is downloaded, it memory a large amount of consumes it.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 24 Mar 2008 00:57:55 +0900

libapache2-mod-chxj (0.8.7-1) unstable; urgency=low

  * Fixed Bug
    - Using AC_FUNC_MALLOC by mistake.
      AC_FUNC_MALLOC is neatly used because it is too good though
      it is not necessary.
      AC_FUNC_MALLOC reacts for CentOS due to the bug of autoconf2.59.
    - When ap_regex.h is not found, pcre.h is used. In that case, to use
      pcre-config.
  * Changed Features
    - Abolition of libiconv. use glibc/iconv.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 17 Mar 2008 23:02:33 +0900

libapache2-mod-chxj (0.8.6-1) unstable; urgency=low

  * Added error messages
    - the error message of the parsing machine of HTML.
    - the error message when the character-code is converted.
  * Fixed Bug
    - forgotten that apache2.0.x doesn't have ap_regex.h. (reported by R)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed, 12 Mar 2008 01:49:16 +0900

libapache2-mod-chxj (0.8.5-1) unstable; urgency=low

  * Fixed Bug
    - when the image of non-correspondence is converted, and aborted.
  * Changed features.
    - Being able to convert the image changed only to jpeg, png, and gif.

 -- Atsushi Konno <konn@users.sorceforge.jp>  Thu, 14 Feb 2008 20:53:02 +0900

libapache2-mod-chxj (0.8.4-1) unstable; urgency=low

  * Fixed Bug that deb package doesn't correspond to Apache2.2.
  * Added features:
    - ``ChxjImageCacheLimit'' directive.
    - The serial number of "image workfile name" is deleted. 
  * Added Document:
    ``ChxjImageCacheLimit'' directive.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue,  5 Feb 2008 20:33:16 +0900

libapache2-mod-chxj (0.8.3-1) unstable; urgency=high

  * Fixed Bug
    - The image conversion is not operated at the access by PC.
    - Bug that doesn't delete cache file.
      + default limit size is 10MByte.
        but the setting cannot be changed now.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  4 Feb 2008 12:53:21 +0900

libapache2-mod-chxj (0.8.2-1) unstable; urgency=low

  * Fixed Bug to which compile error occurs when A is specified.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun,  3 Feb 2008 01:40:33 +0900

libapache2-mod-chxj (0.8.1-1) unstable; urgency=low

  * Changed for Apache 2.2.x.
  * Changed so that ``Configure'' might run well by CentOS5.1. 
  * Fixed bug that Segmentation Falt had occurred when browser inforamtion was 
    read in the AMD64 environment. 
  * Fixed bug that the HTML conversion operates when connecting it from PC. 
  * Fixed bug that the HTML conversion for jhtml.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.8.0-1) unstable; urgency=low

  * add b tag.
  * add fieldset tag.
  * add cookie simulator.
  * To use neither SetOutputFilter nor SetInputFilter, it changes. 
  * add referer header simulator.
  * When '_ chxj_nc' parameter exists, the cookie is not renewed. 
  * The bug that the dynamic qrcode output function doesn't operate is corrected. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.7.1-1) unstable; urgency=low

  * bug fix
      - it cannot correctly read the value when the backslash exists in the attribute.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.7.0-1) unstable; urgency=low

  * bug fix which the size before it converts it into Content-Length when HEAD of 
    the image conversion is requested is returned. 
  * change to acquire it even if the extension is attached by the image acquisition 
    request.
  * bug fix into which the submit value had not converted the character-code for HDML. 
  * bug fix #8585.
  * add user_agent rewrite function.
  * bug fix that the image conversion routine was executed two times.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.6.2-1) unstable; urgency=low

  * Fix bug which operates the character-code conversion when PC
    accesses it.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.6.1-1) unstable; urgency=low

  * Adding ChxjConvertRule directive
  * To execute regcomp when the definition file is read, it changes. 
  * Adding Input and output character-code conversion function addition
  * h tag p tag pre tag textarea tag ul (Excluding HDML) tag ol tag li tag addition. 
  * Some bug fix. 
  * For some FreeBSD

 -- Atsushi Konno <konn@user.sourceforge.jp> Sun Jun 18 18:27:52 JST 2006

